// VideoCategory.java
// Created on Wed Apr 19 14:15:42 US/Pacific 2000 by Apple EOModeler Version 410

import com.apple.yellow.foundation.*;
import com.apple.yellow.eocontrol.*;
import java.util.*;
import java.math.BigDecimal;

public class VideoCategory extends EOGenericRecord {

    public VideoCategory() {
        super();
    }

/*
    // If you implement the following constructor EOF will use it to
    // create your objects, otherwise it will use the default
    // constructor. For maximum performance, you should only
    // implement this constructor if you depend on the arguments.
    public VideoCategory(EOEditingContext context, EOClassDescription classDesc, EOGlobalID gid) {
        super(context, classDesc, gid);
    }

    // If you add instance variables to store property values you
    // should add empty implementions of the Serialization methods
    // to avoid unnecessary overhead (the properties will be
    // serialized for you in the superclass).
    private void writeObject(java.io.ObjectOutputStream out) throws java.io.IOException {
    }

    private void readObject(java.io.ObjectInputStream in) throws java.io.IOException, java.lang.ClassNotFoundException {
    }
*/

    public String categoryDescription() {
        return (String)storedValueForKey("categoryDescription");
    }

    public void setCategoryDescription(String value) {
        takeStoredValueForKey(value, "categoryDescription");
    }

    public String name() {
        return (String)storedValueForKey("name");
    }

    public void setName(String value) {
        takeStoredValueForKey(value, "name");
    }

    public NSGregorianDate lastModification() {
        return (NSGregorianDate)storedValueForKey("lastModification");
    }

    public void setLastModification(NSGregorianDate value) {
        takeStoredValueForKey(value, "lastModification");
    }

    public NSArray videos() {
        return (NSArray)storedValueForKey("videos");
    }

    public void setVideos(NSMutableArray value) {
        takeStoredValueForKey(value, "videos");
    }

    public void addToVideos(Video object) {
        NSMutableArray array = (NSMutableArray)videos();

        willChange();
        array.addObject(object);
    }

    public void removeFromVideos(Video object) {
        NSMutableArray array = (NSMutableArray)videos();

        willChange();
        array.removeObject(object);
    }
}
